Last Comment Bug 442358 - jsinterp control flow doesn't flow as specified
: jsinterp control flow doesn't flow as specified
Status: RESOLVED FIXED
: fixed1.9.0.2
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Blake Kaplan (:mrbkap) (please use needinfo!)
:
Mentors:
Depends on:
Blocks: 432917
  Show dependency treegraph
 
Reported: 2008-06-27 13:44 PDT by (dormant account)
Modified: 2008-08-11 11:27 PDT (History)
7 users (show)
sayrer: wanted1.9.1+
bob: in‑testsuite-
bob: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Obvious patch (969 bytes, patch)
2008-07-08 03:22 PDT, Blake Kaplan (:mrbkap) (please use needinfo!)
igor: review+
samuel.sidler+old: approval1.9.0.2+
Details | Diff | Review

Description (dormant account) 2008-06-27 13:44:12 PDT
http://mxr.mozilla.org/mozilla-central/source/js/src/jsinterp.cpp#5200 is a return statement and there is another one a few lines down. 

This breaks the rule that code most flow through exit2 at http://mxr.mozilla.org/mozilla-central/source/js/src/jsinterp.cpp#2718
Comment 1 Blake Kaplan (:mrbkap) (please use needinfo!) 2008-07-08 03:22:51 PDT
Created attachment 328463 [details] [diff] [review]
Obvious patch
Comment 2 Blake Kaplan (:mrbkap) (please use needinfo!) 2008-07-08 05:09:01 PDT
Pushed as changeset 32207c9fccb6.
Comment 3 Blake Kaplan (:mrbkap) (please use needinfo!) 2008-08-04 18:18:06 PDT
Comment on attachment 328463 [details] [diff] [review]
Obvious patch

I'm guessing we want this in 1.9.
Comment 4 Samuel Sidler (old account; do not CC) 2008-08-06 16:15:51 PDT
Comment on attachment 328463 [details] [diff] [review]
Obvious patch

Approved for 1.9.0.2. Please land in CVS. a=ss
Comment 5 Blake Kaplan (:mrbkap) (please use needinfo!) 2008-08-11 11:27:01 PDT
Fix checked into the 1.9 branch.

Note You need to log in before you can comment on or make changes to this bug.